#ifndef FS_FUNCT_S_H
#define FS_FUNCT_S_H 1

#define ParseError_ok 1
#define ParseError_addr 2
#define ParseError_divzero 3
#define ParseError_paren 4    
#define ParseError_syntax 5
#define ParseError_undef 6

long parse_expression (int size, char *expr, int *okp);
int  valid_addr (word32 addr, int len);
void redraw_registers (char *buf);
void redraw_flags (char *buf);
void redraw_breakpoints (char *buf);
void redraw_data (char *buf);
void redraw_code (char *buf);
void redraw_npx (char *buf);
void redraw_stack (char *buf);
void redraw_info (char *buf);
void redraw_whereis (char *buf);
void redraw_module (char *buf);
void redraw_help (char *buf);
void redraw (int first);

#endif
